# $Revision: 1.61 $, $Date: 2006/12/21 12:51:16 $
# TODO:
# - package requisites for unifished packages -nsclient and -nwstat
#   REQUIREMENTS explains the dependencies.
%include	/usr/lib/rpm/macros.perl
Summary:	Host/service/network monitoring program plugins for Nagios
Summary(pl):	Wtyczki do monitorowania hostw/usug/sieci dla Nagiosa
Name:		nagios-plugins
Version:	1.4.3
Release:	5
License:	GPL v2
Group:		Networking
Source0:	http://dl.sourceforge.net/nagiosplug/%{name}-%{version}.tar.gz
# Source0-md5:	2c40fc69d51cc979e85150870a1daa93
Patch0:		%{name}-tainted.patch
Patch1:		%{name}-contrib-API.patch
Patch2:		%{name}-gettext.patch
Patch3:		%{name}-subst.patch
Patch4:		%{name}-noroot.patch
Patch5:		%{name}-check_ping-socket-filter-warning.patch
Patch6:		%{name}-configure.patch
URL:		http://nagiosplug.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-Net-SNMP
BuildRequires:	postgresql-devel
BuildRequires:	radiusclient-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.177
Requires:	nagios-core
Obsoletes:	netsaint-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/nagios/plugins
%define		_noautoreqfiles utils.pm
# Not available in Ac
%define		_noautoreq	'perl(DBD::Oracle)' 'perl(Net::Arping)' 'perl(RRD::File)' 'perl(a)' 'perl(packet_utils)' 'perl(snmputil)'

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
nagios package.

%description -l pl
Nagios to program monitorujcy hosty i usugi w sieci i powiadamiajcy
poczt elektroniczn lub na pager o wystpieniu lub rozwizaniu
problemw. Nagios dziaa na serwerze uniksowym w tle lub jako demon,
regularnie przeprowadzajc kontrol rnych podanych mu usug. Sama
kontrola usug jest wykonywana poprzez oddzielne "wtyczki" - programy
zwracajace stan danej usugi do Nagiosa.

Ten pakiet zawiera podstawowe wtyczki do uywania z pakietem nagios.

# NOTE for sub package requires:
# use Requires:	%{name} = %{version}-%{release} for utils.sh or utils.pm
# and Requires:	nagios-core if just plugins directory needed

%package snmp
Summary:	Nagios plugins using SNMP protocol to query information
Summary(pl):	Wtyczki Nagiosa uywajce protokou SNMP w celu uzyskania informacji
Group:		Networking
# for utils.pm
Requires:	%{name} = %{version}-%{release}
Requires:	net-snmp-utils
Requires:	perl-Net-SNMP

%description snmp
Nagios plugins using SNMP protocol to query information.

%description snmp -l pl
Wtyczki Nagiosa uywajce protokou SNMP w celu uzyskania informacji.

%package samba
Summary:	Nagios plugin to check remote disk using smbclient
Summary(pl):	Wtyczka Nagiosa do zdalnego sprawdzania dysku z uyciem smbclienta
Group:		Networking
# for utils.pm
Requires:	%{name} = %{version}-%{release}
Requires:	samba-client

%description samba
Perl Check SMB Disk plugin for Nagios.

%description samba -l pl
Perlowa wtyczka dla Nagiosa sprawdzajca dyski SMB.

%package -n nagios-plugin-check_sensors
Summary:	Nagios plugin to check hardware status using the lm_sensors package
Summary(pl):	Wtyczka Nagiosa do sprawdzania stanu sprztu przy uyciu pakietu lm_sensors
Group:		Networking
# for utils.sh
Requires:	%{name} = %{version}-%{release}
Requires:	lm_sensors
Provides:	nagios-plugins-sensors = %{version}-%{release}
Obsoletes:	nagios-plugins-sensors

%description -n nagios-plugin-check_sensors
This plugin checks hardware status using the lm_sensors package.

%description -n nagios-plugin-check_sensors -l pl
Ta wtyczka sprawdza stan sprztu przy uyciu pakietu lm_sensors.

%package mysql
Summary:	Nagios plugin to test a MySQL DBMS
Summary(pl):	Wtyczka Nagiosa do sprawdzania systemu baz danych MySQL
Group:		Networking
Requires:	nagios-core

%description mysql
This plugin tests a MySQL DBMS to determine whether it is active and
accepting queries.

%description mysql -l pl
Ta wtyczka sprawdza serwer baz danych MySQL, aby okreli, czy jest
aktywny i przyjmuje zapytania.

%package -n nagios-plugin-check_pgsql
Summary:	Nagios plugin to test a PostgreSQL DBMS
Summary(pl):	Wtyczka Nagiosa do sprawdzania systemu baz danych PostgreSQL
Group:		Networking
Requires:	nagios-core
Provides:	nagios-plugins-pgsql = %{version}-%{release}
Obsoletes:	nagios-plugins-pgsql

%description -n nagios-plugin-check_pgsql
This plugin tests a PostgreSQL DBMS to determine whether it is active
and accepting queries. In its current operation, it simply connects to
the specified database, and then disconnects. If no database is
specified, it connects to the template1 database, which is present in
every functioning PostgreSQL DBMS.

%description -n nagios-plugin-check_pgsql -l pl
Ta wtyczka sprawdza serwer baz danych PostgreSQL, aby okreli, czy
jest aktywny i przyjmuje zapytania. Aktualnie po prostu czy si do
okrelonej bazy danych i rozcza. Jeli nie podano bazy danych, czy
si do bazy danych template1, obecnej w kadym dziaajcym systemie
PostgreSQL.

%package -n nagios-plugin-check_radius
Summary:	Nagios plugin to test a radius server to see if it is accepting connections
Summary(pl):	Wtyczka Nagiosa do sprawdzania serwera radius pod ktem przyjmowania pocze
Group:		Networking
Requires:	nagios-core
Requires:	radiusclient
Provides:	nagios-plugins-radius = %{version}-%{release}
Obsoletes:	nagios-plugins-radius

%description -n nagios-plugin-check_radius
This plugin tests a radius server to see if it is accepting
connections.

%description -n nagios-plugin-check_radius -l pl
Ta wtyczka sprawdza serwer usugi radius, aby zobaczy, czy przyjmuje
poczenia.

%package -n nagios-plugin-check_game
Summary:	Nagios plugin to check status of Internet game servers
Summary(pl):	Wtyczka Nagiosa do sprawdzania stanu serwerw gier internetowych
Group:		Networking
Requires:	nagios-core
Requires:	qstat
Provides:	nagios-plugins-qstat = %{version}-%{release}
Obsoletes:	nagios-plugins-qstat

%description -n nagios-plugin-check_game
This plugin uses the 'qstat' command, the popular game server status
query tool.

QStat is a command-line program that displays information about
Internet game servers.

The servers are either down, non-responsive, or running a game. For
servers running a game, the server name, map name, current number of
players, and response time are displayed. Server rules and player
information may also be displayed.

%description -n nagios-plugin-check_game -l pl
Ta wtyczka uywa polecenia 'qstat' - popularnego narzdzia do zapyta
o stan serwerw gier.

QStat to program dziaajcy z linii polece wywietlajcy informacje o
serwerach gier internetowych.

Serwery mog by wyczone, nie odpowiada, bd mie uruchomion gr.
Dla serwerw z grami wywietlanea s: nazwa serwera, nazwa mapy,
aktualna liczba graczy i czas odpowiedzi. Mog by dodatkowo
wywietlone reguy serwera i informacje o graczach.

%package -n nagios-plugin-check_ldap
Summary:	Nagios plugin to check LDAP servers
Summary(pl):	Wtyczka Nagiosa do sprawdzania serwerw LDAP
Group:		Networking
Requires:	nagios-core
Provides:	nagios-plugins-ldap = %{version}-%{release}
Obsoletes:	nagios-plugins-ldap

%description -n nagios-plugin-check_ldap
Nagios plugin to check LDAP servers.

%description -n nagios-plugin-check_ldap -l pl
Wtyczka Nagiosa do sprawdzania serwerw LDAP.

%package -n nagios-plugin-check_ntp
Summary:	Nagios plugin to check time using NTP protocol
Summary(pl):	Wtyczka Nagiosa do sprawdzania czasu przy uyciu protokou NTP
Group:		Networking
# for utils.pm
Requires:	%{name} = %{version}-%{release}
Requires:	ntp-client
Provides:	nagios-plugins-ntp = %{version}-%{release}
Obsoletes:	nagios-plugins-ntp

%description -n nagios-plugin-check_ntp
Checks the local timestamp offset versus <host> with ntpdate. Checks
the jitter/dispersion of clock signal between <host> and its sys.peer
with ntpq.

%description -n nagios-plugin-check_ntp -l pl
Ta wtyczka sprawdza przesunicie lokalnego czasu wzgldem danego hosta
przy uyciu ntpdate. Sprawdza wahania/dyspersj sygnau zegara
pomidzy hostem a jego sys.peer przy uyciu ntpq.

%package -n nagios-plugin-check_dns
Summary:	Nagios plugin to check DNS with nslookup
Summary(pl):	Wtyczka Nagiosa do sprawdzania DNS-u przy uyciu nslookup
Group:		Networking
Requires:	bind-utils
Requires:	nagios-core
Provides:	nagios-plugins-dns = %{version}-%{release}
Obsoletes:	nagios-plugins-dns

%description -n nagios-plugin-check_dns
This plugin uses the nslookup program to obtain the IP address for the
given host/domain query. A optional DNS server to use may be
specified. If no DNS server is specified, the default server(s)
specified in /etc/resolv.conf will be used.

%description -n nagios-plugin-check_dns -l pl
Ta wtyczka uywa programu nslookup do uzyskania adresu IP danego dla
danego zapytania o host/domen. Mona opcjonalnie poda serwer DNS,
ktry ma by uyty. Jeli nie podano serwera DNS, uywany jest
domylny serwer (lub serwery) podany w /etc/resolv.conf.

%package -n nagios-plugin-check_dig
Summary:	Nagios plugin to check DNS servers with dig
Summary(pl):	Wtyczka Nagiosa do sprawdzania DNS-u przy uyciu programu dig
Group:		Networking
Requires:	bind-utils
Requires:	nagios-core
Provides:	nagios-plugins-dig = %{version}-%{release}
Obsoletes:	nagios-plugins-dig

%description -n nagios-plugin-check_dig
Test the DNS service on the specified host using dig.

%description -n nagios-plugin-check_dig -l pl
Ta wtyczka sprawdza usug DNS na podanym hocie przy uyciu programu
dig.

%package ssh
Summary:	Nagios plugins to check remote services via SSH
Summary(pl):	Wtyczki Nagiosa do sprawdzania zdalnych usug po SSH
Group:		Networking
Requires:	nagios-core
Requires:	openssh-clients

%description ssh
This plugin uses SSH to execute commands on a remote host.

%description ssh -l pl
Ta wtyczka uywa SSH do wykonywania polece na zdalnym hocie.

%package -n nagios-plugin-check_load
Summary:	Nagios plugin to check uptime using procps
Summary(pl):	Wtyczka Nagiosa do sprawdzania uptime'u przy uyciu procps
Group:		Networking
Requires:	nagios-core
Requires:	procps
Provides:	nagios-plugins-procps = %{version}-%{release}
Obsoletes:	nagios-plugins-procps

%description -n nagios-plugin-check_load
Nagios plugin to check uptime using procps.

%description -n nagios-plugin-check_load -l pl
Wtyczka Nagiosa do sprawdzania uptime'u przy uyciu procps.

%package -n nagios-plugin-check_fping
Summary:	Nagios plugin to check host up state with fping
Summary(pl):	Wtyczka Nagiosa do sprawdzania dziaania hosta przy uyciu programu fping
Group:		Networking
Requires:	fping
Requires:	nagios-core
Provides:	nagios-plugins-fping = %{version}-%{release}
Obsoletes:	nagios-plugins-fping

%description -n nagios-plugin-check_fping
This plugin will use the /bin/fping command to ping the specified host
for a fast check if the host is alive.

%description -n nagios-plugin-check_fping -l pl
Ta wtyczka uywa polecenia /bin/fping do szybkiego sprawdzenia, czy
dany host dziaa.

%package -n nagios-plugin-check_ping
Summary:	Nagios plugin to check host up state with ping
Summary(pl):	Wtyczka Nagiosa do sprawdzania dziaania hosta przy uyciu programu ping
Group:		Networking
Requires:	iputils-ping >= 1:ss021109-3.1
Requires:	nagios-core

%description -n nagios-plugin-check_ping
This plugin will use the /bin/ping command to ping the specified host
if the host is alive.

%description -n nagios-plugin-check_ping -l pl
Ta wtyczka uywa polecenia /bin/ping do sprawdzenia, czy dany host
dziaa.

%package perl
Summary:	Nagios plugins written in Perl
Summary(pl):	Wtyczki Nagiosa napisane w Perlu
Group:		Networking
# for utils.pm
Requires:	%{name} = %{version}-%{release}
# for perl(Exporter)
Requires:	perl-base

%description perl
This package contains Nagios plugins written in Perl.

%description perl -l pl
Ten pakiet zawiera wtyczki Nagiosa napisane w Perlu.

# nsclient not packaged in PLD
#%package nsclient
#Summary:	Nagios plugin to check NT server with NSClient
#Summary(pl):	Wtyczka Nagiosa do sprawdzania serwera NT przy uyciu NSClienta
#Group:		Networking
#Requires:	%{name} = %{version}-%{release}
#Requires:	nsclient
#
#%description nsclient
#Nagios plugin to check NT server with NSClient.
#
#%description nsclient -l pl
#Wtyczka Nagiosa do sprawdzania serwera NT przy uyciu NSClienta.

# requisite not packaged in PLD
#%package nwstat
#Summary:	Nagios plugin nwstat
#Summary(pl):	Wtyczka nwstat do Nagiosa
#Group:		Networking
#Requires:	%{name} = %{version}-%{release}
#Requires:	mrtgext
#
#%description nsclient
#Nagios plugin using MRTGEXT module
#(http://forge.novell.com/modules/xfmod/project/?mrtgext).
#
#%description nsclient -l pl
#Wtyczka nagiosa uywajca moduu MRTGEXT
#(http://forge.novell.com/modules/xfmod/project/?mrtgext).

%package contrib
Summary:	Contributed nagios plugins
Summary(pl):	Wtyczki przekazane do projektu Nagios
Group:		Networking
# for utils.pm, utils.sh
Requires:	%{name} = %{version}-%{release}
# check_apache
Requires:	perl-URI
Requires:	perl-libwww
# check_apc_ups.pl
Requires:	net-snmp-utils
# check_arping.pl
#Requires:	perl(Net::Arping) - not found
# check_bgpstate.pl
Requires:	perl-Net-SNMP
Requires:	whois
# check_traceroute.pl
Requires:	traceroute
# check_traceroute-pure_perl.pl
Requires:	perl-Net-Traceroute
# check_temp_fsc
Requires:	perl-SNMP_Session
# check_smart.pl
Requires:	smartmontools
# check_smb.sh
Requires:	samba
# check_adptraid.sh
#Requires:	dptutil
# unfinished... more deps are actually needed.

%description contrib
Contributed nagios plugins. Some of them work, some do not. Use at
your own risk.

%description contrib -l pl
Wtyczki przekazane do projektu Nagios. Cz z nich dziaa, cz nie.

%prep
%setup -q %{?_snap:-n %{name}-HEAD-%{_snap}}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# bring contribs into shape...
cd contrib
mv check_compaq_insight.{pl,msg}
sed -ne '/--- cut ---/,/--- cut ---/{/--- cut ---/!p}' < \
	check_compaq_insight.msg > check_compaq_insight.pl

sed -i -e '1s,#!.*/bin/perl,#!%{__perl},' \
	check_{oracle_tbs,{snmp_{{disk,process}_monitor,printer},nagios_db,flexlm}.pl}

sed -i -e '1s,#!.*/bin/env,#!%{__python},' \
	check_pcpmetric.py

sed -i -e '1s,#!.*/bin/bash,#!/bin/sh,' \
	check_smb.sh

sed -i -e "
	s,use lib '.*/nagios/libexec/',use lib '%{_plugindir}',
	s,require '/usr/libexec/nagios/plugins,require '%{_plugindir},
	s,use lib utils.pm,use lib '%{_plugindir}',
" *.pl

mv check_appletalk.{pl,orig}
sed -ne '/---/!p;/---/q' < check_appletalk.orig > check_appletalk.pl

chmod a+x check_*.{pl,sh,py}
chmod a+x check_{fan_{cpq,fsc}_present,frontpage,oracle_tbs,pfstate,temp_{cpq,fsc}}

# exists in main
rm check_{breeze,wave}.pl

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--libexecdir=%{_plugindir} \
	--with-cgiurl=/nagios/cgi-bin \
	--with-mysql=/usr \
	--with-pgsql=/usr \
	--with-openssl=/usr \
	--with-ping-command='/bin/ping -n -U -w %%d -c %%d %%s' \
	--with-ping6-command='/bin/ping6 -n -U -w %%d -c %%d %%s' \
	--with-ps-command="/bin/ps axwo 'stat uid ppid vsz rss pcpu comm args'" \
	--with-ps-format="%%s %%d %%d %%d %%d %%f %%s %%n" \
	--with-ps-cols=8 \
	--with-ps-varlist="procstat,&procuid,&procppid,&procvsz,&procrss,&procpcpu,procprog,&pos" \
	--with-proc-meminfo=/proc/meminfo \
	--with-proc-loadavg=/proc/loadavg \
	--with-nslookup-command="/usr/bin/nslookup -sil" \
	--with-uptime-command=/usr/bin/uptime \
	--with-rpcinfo-command=/usr/sbin/rpcinfo \
	--with-ntpdate-command=/usr/sbin/ntpdate \
	--with-smbclient-command=/usr/bin/smbclient \
	--with-dig-command=/usr/bin/dig \
	--with-fping-command=/usr/sbin/fping \
	--with-qstat-command=/usr/bin/qstat \
	--with-ssh-command=/usr/bin/ssh \
	--with-snmpget-command=/usr/bin/snmpget \
	--with-snmpgetnext-command=/usr/bin/snmpgetnext \
	--with-df-command='/bin/df -P' \

%{__make}


# contrib. mostly useless. but you'll never know
cd contrib

%{__cc} %{rpmcflags} check_cluster2.c -o check_cluster2

%{__cc} %{rpmcflags} -I../plugins -I.. -I../lib -c check_rbl.c
%{__cc} %{rpmcflags} check_rbl.o -o check_rbl ../plugins/popen.o ../plugins/utils.o ../plugins/netutils.o

%{__cc} %{rpmcflags} check_timeout.c -o check_timeout

%{__cc} %{rpmcflags} -I../plugins -I.. -I../lib -c check_uptime.c
%{__cc} %{rpmcflags} check_uptime.o -o check_uptime ../plugins/popen.o ../plugins/utils.o

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-root -C plugins-root \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

cd contrib
# all files with exec permissions are plugins.
find -name 'check_*' -type f -perm +1 | xargs -ri install {} $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerun -- %{name} <= 1.4-0.34
%banner -e %{name} <<EOF
Several Nagios plugins have been separated to multiple packages to cut
down unneccessary deps on main package.

Please install %{name}-PACKAGE if you need these plugins.
To revert to previous state just run:
poldek -u nagios-plugins-{snmp,samba,sensors,mysql,pgsql,radius,qstat,ldap,ntp,dns,ssh,procps,fping}

EOF

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS BUGS CHANGES CODING ChangeLog
%doc FAQ LEGAL NEWS README REQUIREMENTS SUPPORT THANKS

%defattr(755,root,root,755)
# utils
%{_plugindir}/negate
%{_plugindir}/urlize
%{_plugindir}/utils.pm
%{_plugindir}/utils.sh

# plugins
%{_plugindir}/check_cluster2
%{_plugindir}/check_disk
%{_plugindir}/check_dummy
%{_plugindir}/check_ftp
%{_plugindir}/check_http
%{_plugindir}/check_imap
%{_plugindir}/check_log
%{_plugindir}/check_mrtg
%{_plugindir}/check_mrtgtraf
%{_plugindir}/check_nagios
%{_plugindir}/check_nntp
# req: over-cr >= 0.99.53 http://www.molitor.org/overcr
%{_plugindir}/check_overcr
%{_plugindir}/check_pop
%{_plugindir}/check_procs
%{_plugindir}/check_real
%{_plugindir}/check_simap
%{_plugindir}/check_smtp
%{_plugindir}/check_spop
%{_plugindir}/check_ssh
%{_plugindir}/check_tcp
%{_plugindir}/check_time
%{_plugindir}/check_udp
%{_plugindir}/check_ups
%{_plugindir}/check_users
%{_plugindir}/check_swap

# these plugins need suid bit to operate
%{_plugindir}/check_dhcp
%{_plugindir}/check_icmp

# Cannot determine ORACLE_HOME for sid
# probably needs some external programs. can't test
%{_plugindir}/check_oracle

%files perl
%defattr(755,root,root,755)
%{_plugindir}/check_file_age
%{_plugindir}/check_ircd
%{_plugindir}/check_mailq
%{_plugindir}/check_rpc

# requires license.dat
%{_plugindir}/check_flexlm

# Not to be confused with nagios-snmp-plugins
%files snmp
%defattr(755,root,root,755)
%{_plugindir}/check_snmp
%{_plugindir}/check_hpjd
%{_plugindir}/check_ifoperstatus
%{_plugindir}/check_ifstatus
%{_plugindir}/check_wave
%{_plugindir}/check_breeze

%files samba
%defattr(755,root,root,755)
%{_plugindir}/check_disk_smb

%files -n nagios-plugin-check_sensors
%defattr(755,root,root,755)
%{_plugindir}/check_sensors

%files mysql
%defattr(755,root,root,755)
%{_plugindir}/check_mysql
%{_plugindir}/check_mysql_query

%files -n nagios-plugin-check_pgsql
%defattr(755,root,root,755)
%{_plugindir}/check_pgsql

%files -n nagios-plugin-check_radius
%defattr(755,root,root,755)
%{_plugindir}/check_radius

%files -n nagios-plugin-check_game
%defattr(755,root,root,755)
%{_plugindir}/check_game

%files -n nagios-plugin-check_ldap
%defattr(755,root,root,755)
%{_plugindir}/check_ldap

%files -n nagios-plugin-check_ntp
%defattr(755,root,root,755)
%{_plugindir}/check_ntp

%files -n nagios-plugin-check_dns
%defattr(755,root,root,755)
%{_plugindir}/check_dns

%files -n nagios-plugin-check_dig
%defattr(755,root,root,755)
%{_plugindir}/check_dig

%files ssh
%defattr(755,root,root,755)
%{_plugindir}/check_by_ssh

%files -n nagios-plugin-check_load
%defattr(755,root,root,755)
%{_plugindir}/check_load

%files -n nagios-plugin-check_ping
%defattr(755,root,root,755)
%attr(2755,root,adm) %{_plugindir}/check_ping

%files -n nagios-plugin-check_fping
%defattr(755,root,root,755)
%attr(2755,root,adm) %{_plugindir}/check_fping

%files contrib
%defattr(755,root,root,755)
%{_plugindir}/check_adptraid.sh
%{_plugindir}/check_apache.pl
%{_plugindir}/check_apc_ups.pl
%{_plugindir}/check_appletalk.pl
%{_plugindir}/check_arping.pl
%{_plugindir}/check_asterisk.pl
%{_plugindir}/check_axis.sh
%{_plugindir}/check_backup.pl
%{_plugindir}/check_bgpstate.pl
%{_plugindir}/check_compaq_insight.pl
%{_plugindir}/check_digitemp.pl
%{_plugindir}/check_disk_snmp.pl
%{_plugindir}/check_dlswcircuit.pl
%{_plugindir}/check_dns_random.pl
%{_plugindir}/check_email_loop.pl
%{_plugindir}/check_fan_cpq_present
%{_plugindir}/check_fan_fsc_present
%{_plugindir}/check_flexlm.pl
%{_plugindir}/check_frontpage
%{_plugindir}/check_hprsc.pl
%{_plugindir}/check_hw.sh
%{_plugindir}/check_ica_master_browser.pl
%{_plugindir}/check_ica_metaframe_pub_apps.pl
%{_plugindir}/check_ica_program_neigbourhood.pl
%{_plugindir}/check_inodes-freebsd.pl
%{_plugindir}/check_inodes.pl
%{_plugindir}/check_javaproc.pl
%{_plugindir}/check_joy.sh
%{_plugindir}/check_linux_raid.pl
%{_plugindir}/check_lmmon.pl
%{_plugindir}/check_log2.pl
%{_plugindir}/check_lotus.pl
%{_plugindir}/check_maxchannels.pl
%{_plugindir}/check_maxwanstate.pl
%{_plugindir}/check_mem.pl
%{_plugindir}/check_ms_spooler.pl
%{_plugindir}/check_mssql.sh
%{_plugindir}/check_nagios.pl
%{_plugindir}/check_nagios_db.pl
%{_plugindir}/check_nagios_db_pg.pl
%{_plugindir}/check_netapp.pl
%{_plugindir}/check_nmap.py
%{_plugindir}/check_nt
%{_plugindir}/check_nwstat
%{_plugindir}/check_ora_table_space.pl
%{_plugindir}/check_oracle_instance.pl
%{_plugindir}/check_oracle_tbs
%{_plugindir}/check_pcpmetric.py
%{_plugindir}/check_pfstate
%{_plugindir}/check_qmailq.pl
%{_plugindir}/check_rbl
%{_plugindir}/check_remote_nagios_status.pl
%{_plugindir}/check_rrd_data.pl
%{_plugindir}/check_sap.sh
%{_plugindir}/check_smart.pl
%{_plugindir}/check_smb.sh
%{_plugindir}/check_snmp_disk_monitor.pl
%{_plugindir}/check_snmp_printer.pl
%{_plugindir}/check_snmp_process_monitor.pl
%{_plugindir}/check_snmp_procs.pl
%{_plugindir}/check_sockets.pl
%{_plugindir}/check_sybase
%{_plugindir}/check_temp_cpq
%{_plugindir}/check_temp_fsc
%{_plugindir}/check_timeout
%{_plugindir}/check_traceroute-pure_perl.pl
%{_plugindir}/check_traceroute.pl
%{_plugindir}/check_uptime
%{_plugindir}/check_vcs.pl
%{_plugindir}/check_wins.pl

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugins.spec,v $
Revision 1.61  2006/12/21 12:51:16  hawk
- fixed build, release 5

Revision 1.60  2006/12/20 12:20:46  hawk
- release 4 to rebuild with PostgreSQL 8.2

Revision 1.59  2006/09/25 10:57:28  glen
- rel 3

Revision 1.58  2006/07/27 20:55:41  qboosh
- pl desc for -check_ping

Revision 1.57  2006/07/27 20:10:20  wolf
- cosmetics

Revision 1.56  2006/07/27 11:32:04  glen
- no epoch defined, so don't use it
- include version in provides for poldek to upgrade better
- adapterized

Revision 1.55  2006/07/27 11:22:51  glen
- renamed packages that contain just one plugins to singular
- check_ping moved to separate package due /bin/ping dependency

Revision 1.54  2006/07/27 09:20:32  glen
- don't scan for perl requires from utils.pm

Revision 1.53  2006/07/27 09:05:22  qboosh
- pl for -perl

Revision 1.52  2006/07/27 08:58:05  glen
- moved perl plugins into -perl subpackage

Revision 1.51  2006/05/21 21:48:25  glen
- restore conflicts line; rel 2

Revision 1.50  2006/05/21 21:42:21  glen
- force openssl ssl implementation, rel 1

Revision 1.49  2006/05/21 21:38:49  glen
- merge 1.4.3 from DEVEL (1.42.2.10)

Revision 1.48  2006/04/07 08:42:32  glen
- use perl autodeps, small fixes

Revision 1.47  2006/04/07 08:11:02  glen
- move check_cluster2 to base (head is stright in the morning)

Revision 1.46  2006/04/06 22:31:40  glen
- drop check_cluster (netsaint plugin)
- separate check_cluster2 from -contrib to -cluster (or put it to main as it has not extra deps?)

Revision 1.45  2006/03/14 13:28:09  glen
- apply the patch too

Revision 1.44  2006/03/14 13:26:54  glen
- ignore "WARNING: failed to install socket filter: Protocol not available" message
- adapterized
- rel 4

Revision 1.43  2006/01/17 15:33:16  baggins
- release 3
- BR openldap 2.3

Revision 1.42  2005/10/29 13:56:23  glen
- adapterized
- snap build support
- ping locale patch is obsolete

Revision 1.41  2005/10/27 17:46:51  arekm
- rel 2

Revision 1.40  2005/10/06 14:21:54  glen
- updated to 1.4.2

Revision 1.39  2005/07/18 11:10:36  glen
- rel 1; STBR

Revision 1.38  2005/07/18 10:35:10  glen
- add patch which fixes checking mysql slave on mysql 4.1 servers

Revision 1.37  2005/07/06 10:10:54  wolvverine
- add BR

Revision 1.36  2005/06/24 10:12:12  wolvverine
- add POSIX compatibility for /bin/df in check_disk

Revision 1.35  2005/05/08 10:27:53  glen
- renumber patches

Revision 1.34  2005/05/08 10:25:13  glen
- fix trigger (was missing ldap)
- note for adding subpackage deps
- fix -ntp package dep

Revision 1.33  2005/05/07 20:28:14  qboosh
- pl for new subpackages

Revision 1.32  2005/05/07 12:33:57  glen
- packages split merged from DEVEL

Revision 1.20.2.22  2005/05/06 17:00:27  glen
- subpackages (see discussion in devel-en)

Revision 1.31  2005/05/02 17:09:54  glen
- gettext bcond removed

Revision 1.30  2005/05/02 17:09:12  glen
- check_ping bug resolved

Revision 1.29  2005/05/02 16:18:07  glen
- check_ping failure is locale problem

Revision 1.28  2005/04/27 23:08:31  glen
- rel 0.29

Revision 1.27  2005/04/27 22:35:20  glen
- merged 1.4 from DEVEL

Revision 1.26  2005/04/27 22:28:43  glen
- reverted (merge from DEVEL or work on DEVEL, it has 1.4)

Revision 1.25  2005/04/26 23:41:58  wolvverine
- up to 1.4 release
- NFY
- bad patch nagios-plugins-configure.patch

Revision 1.24  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.23  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.22  2005/04/07 13:08:23  glen
- trigger to warn users about package split

Revision 1.21  2005/02/19 14:10:10  ankry
- rel. 4

Revision 1.20.2.21  2005/04/27 22:31:42  glen
- TODO

Revision 1.20.2.20  2005/04/09 18:06:51  glen
- R: fping for check_fping

Revision 1.20.2.19  2005/04/09 17:45:43  glen
- require nagios-core instead of nagios-plugins for packages which don't use utils.{sh,pm}

Revision 1.20.2.18  2005/04/09 17:36:06  glen
- add deps for plugins at runtime
- --with-ssh-command, --with-snmpget-command to remove unneccesary BR
- sgid bit for check_fping

Revision 1.20.2.17  2005/04/09 16:53:42  glen
- merge changes from HEAD

Revision 1.24  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.23  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.22  2005/04/07 13:08:23  glen
- trigger to warn users about package split

Revision 1.21  2005/02/19 14:10:10  ankry
- rel. 4

Revision 1.20.2.16  2005/04/09 16:38:49  glen
- specify paths to dig, fping, qstat and remove their BR

Revision 1.20.2.15  2005/04/06 16:47:20  glen
- TODO

Revision 1.20.2.14  2005/04/01 21:52:28  glen
- patch for newer gettext (feel free to do it better and "properly")
- -subst patch is back

Revision 1.20.2.13  2005/03/27 20:13:58  glen
- --with-nslookup-command, --with-uptime-command, --with-rpcinfo-command, --with-ntpdate-command, --with-smbclient-command added

Revision 1.20.2.12  2005/03/23 20:23:59  glen
- args for --with-{mysql,pgsql} to discard stupid -Iyes/include

Revision 1.20.2.11  2005/03/23 20:08:13  glen
- path to /proc/meminfo

Revision 1.20.2.10  2005/03/23 19:37:20  glen
- /proc-less build, suplly --with-ps command vars

Revision 1.20.2.9  2005/03/23 18:51:58  glen
- duplicates nuked
- plugins sorted
- fixes for tainted perl

Revision 1.20.2.8  2005/03/14 22:08:32  glen
- sgid adm for check_ping

Revision 1.20.2.7  2005/03/14 21:56:50  glen
- cleanup
- files sorting

Revision 1.20.2.6  2005/03/08 01:33:01  glen
- check_ping crash resolved
- more TODO

Revision 1.20.2.5  2005/03/08 00:30:12  glen
- some progress

Revision 1.20.2.4  2005/03/06 22:34:50  glen
- PreReq nagios to kill dependancy loop

Revision 1.20.2.3  2005/02/22 13:00:46  glen
- checkin work in progress

Revision 1.20.2.2  2005/02/08 15:15:51  glen
- add more doc, sort doc

Revision 1.20.2.1  2005/02/08 13:46:16  glen
- updated to 1.4
- R: nagios-plugins is back, as gettext is needed
- simplify using _plugindir macro

Revision 1.20  2005/02/07 06:08:10  glen
- nagios/plugins dir owned by nagios package, so depend on that

Revision 1.19  2005/02/07 05:33:15  glen
- 2.6 swap patch already applied

Revision 1.18  2004/12/13 23:01:04  glen
- rel 3; STBR

Revision 1.17  2004/12/08 22:36:55  glen
- BR: net-snmp-utils

Revision 1.16  2004/12/08 20:48:36  qboosh
- pl

Revision 1.15  2004/12/08 17:13:34  glen
- more subpackages requiring external dependencies

Revision 1.14  2004/12/08 15:11:52  glen
- fix changelog

Revision 1.13  2004/12/08 15:09:08  glen
- 2.6 swap patch from gentoo:
  http://bugs.gentoo.org/show_bug.cgi?id=61386

Revision 1.12  2004/12/08 15:07:46  glen
- more SNMP plugins detected

Revision 1.11  2004/12/08 14:41:28  glen
- rename -game to -qstat

Revision 1.10  2004/12/08 14:31:31  glen
- split into subpackages requiring additional deps (PS: -game or -qstat which is better?)
- fix check_ping
- more descriptive %description

Revision 1.9  2004/08/30 11:13:51  undefine
- release 2

Revision 1.8  2004/08/30 01:01:04  undefine
- fixes build by Zbyniu Krzystolik <zbyniu@geocarbon.pl>

Revision 1.7  2004/08/29 18:43:15  undefine
- df (suggestion by Zbyniu Krzystolik <zbyniu@geocarbon.pl>)

Revision 1.6  2004/08/28 22:49:25  undefine
- release 1

Revision 1.5  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.4  2003/11/09 01:04:21  qboosh
- cosmetics, BR: ac,am

Revision 1.3  2003/10/12 10:34:40  pbern
- update to 1.3.1 but still don`t build

Revision 1.2  2003/06/04 22:39:17  orzech
- hmmm...

Revision 1.1  2003/06/04 22:34:57  orzech
- new, buillds
